[P023]Application Domain

get
https://connect.patsnap.com/high-value-data/application-domain

Receive application domain classification data by patent_id or patent_number.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

Name Type Example Description
lang
stringen
Select the language , you can choose cn or en.
patent_id
string1a47a70d-6b54-4709-a72a-ed552781fcac,ef7d1252-2e0e-40c3-a44f-1bc1c86b7990
patent_id
patent_number
stringCN102681224A
patent_number

Response Schema

Structure of the API response data

Field Name Type Example Description
data
array-
response data
pn
stringCN102681224A
Patent number
lang
stringen
language
patent_id
stringef7d1252-2e0e-40c3-a44f-1bc1c86b7990
Patent id
application_domain_data
arrayPlease check the form: NameLevel
Application domain data
name
string声波诊断
name
level
integer<int32>4
level
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "CN102681224A",
      "lang": "en",
      "patent_id": "ef7d1252-2e0e-40c3-a44f-1bc1c86b7990",
      "application_domain_data": [
        {
          "name": "声波诊断",
          "level": 4
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error Code Description
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error Code Description
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status Code Description
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms